<?php
defined('_IN_JOHNCMS') or die('Error: restricted access');
if($user_id)
{
	$textl = 'Добавление статьи';
	require_once('../incfiles/head.php');
	if(!$_POST)
	{
		if($set_blogs['mod']==1)echo '<div class="rmenu">Внимание! Включена предмодерация статей</div>';
		echo '<form class="list2" enctype="multipart/form-data" method="POST" action="?act=add">';
		echo 'Название:<br />
		<input type="text" name="name" maxlength="60"/><b style="background-color : #d5d5d5;border : 1px solid silver;padding : 0px 3px 0px 3px;">max. 60</b><br />';
		echo 'Текст:<br />
		<textarea name="text" value=""></textarea><b style="background-color : #d5d5d5;border : 1px solid silver;padding : 0px 3px 0px 3px;">max. 20000</b><br />';
		$res = mysql_query('SELECT * FROM `'.$set['prefblog'].'blogs_cat`;');
		echo 'Категория:<br />
		<select name="cat">';
		echo '<option value="">Выберите категорию</option>';
		while($row = mysql_fetch_array($res))
		{
			echo '<option value="'.$row['id'].'">'.$row['name'].'</option>';
		}
		echo '</select><br />';
		echo ($set_blogs['screen_closed']==0) ? 'Скриншот:<br />
		<input type="file" name="file" value="" />
		<input type="hidden" name="MAX_FILE_SIZE" value="' . (1024 * $flsz) . '" /><br />':'';
		echo ($set_blogs['load_closed']==0)?'Добавить файл: <input type="checkbox" name="atach" value="1" /><br />':'';
		echo ($set['mod_blogs_comm']!=0)?'Не коментировать: <input type="checkbox" name="komm" value="1" /><br />':'';
		echo '<input type="submit" name="submit" value="Добавить"/></form>';
		echo '<div class="menu"><a href="./">Назад</a></div>';
	}
	else
	{
		$name = check(trim($_POST['name']));
		$text = trim($_POST['text']);
		$cat = intval(trim($_POST['cat']));
		$komm = intval(trim($_POST['komm']));
		
		$error = array();
		if (empty($name))
			$error[] = 'Не введёно название статьи!<br />';
		elseif (mb_strlen($name) < 2 || mb_strlen($name) > 60)
			$error[] = 'Недопустимая длина названия статьи!<br />';
		if (empty($text))
			$error[] = 'Не введён текст статьи!<br />';
		elseif (mb_strlen($text) < 2 || mb_strlen($text) > 20000)
			$error[] = 'Недопустимая длина статьи!<br />';
		if (empty($cat))
			$error[] = 'Выберите категорию!<br />';
		if (!$error)
		{
			if ($rights < 7)
				$mod = $set_blogs['mod'];
			else
				$mod = 0;
			mysql_query("INSERT INTO `" . $set['prefblog'] . "blogs` SET
			`ref`='" . $cat . "',
			`name`='" . mysql_real_escape_string($name) . "',
			`text`='" . mysql_real_escape_string($text) . "',
			`uid`='" . $user_id . "',
			`from`='" . $login . "',
			`ip`='" . $ipl . "',
			`ua`='" . mysql_real_escape_string($agn) . "',
			`time`='" . $realtime . "',
			`komm`='" . $komm . "',
			`mod`='" . $mod . "';");
            mysql_query("UPDATE `users` SET `bals` = (`bals` + 1) WHERE `id` = '" . $user_id . "'");
			$screen .= 'Статья добавлена!<br />';
			$fid = mysql_insert_id();
		}
		if (empty($error) AND ($set_blogs['screen_closed']==0))
		{
			require_once '../incfiles/class_upload.php';
			$handle = new upload($_FILES['file']);
			if ($handle->uploaded)
			{
				$handle->file_new_name_body = $fid;
				$handle->allowed = array('image/jpeg', 'image/gif', 'image/png');
				$handle->file_max_size = 1024 * $set_blogs['max_file_size'];
				$handle->image_convert = 'png';
				$handle->process('screen/');
				if ($handle->processed)
				{
					$screen .= 'Скриншот добавлен<br />';
				}
				else
				{
					$error[] = $handle->error;
				}
				$handle->clean();
			}
		}
		if (empty($error))
		{
			mysql_query("INSERT INTO `" . $set['prefblog'] . "blogs_rdm` SET  `topic_id` = '".$fid."', `user_id` = '".$user_id."', `time` = '".$realtime."'");
			$atach = intval(trim($_POST['atach']));
			if ($atach == 1 AND ($set_blogs['load_closed']==0))
			{
				header('Location: index.php?act=atach&id='.$fid);
			}
			else
			{
				if ($rights < 7)
				{
					if($set_blogs['mod']==1)
						echo '<div class="rmenu">Статья будит добавлена после модерации.</div>';
				}
				echo '<div class="menu">'.$screen.'</div>';
			}
			echo '<div class="gmenu"><a href="?act=add">Назад</a></div>';
		}
		else
		{
			echo display_error($error);
			echo '<div class="gmenu"><a href="?act=add">Назад</a></div>';
		}
	}
}
else
{
	header('Location: ../?err');
    exit;
}
?>